For the complete documentation index, see llms.txt. This page is also available as Markdown.

Orders

Endpoints для списка заявок и справочника статусов.

Публичные статусы заявок

Public order status dictionary

get
Responses
200

Standard success envelope.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
resultany · nullableRequired
get/public/orders/statuses
GET /api/v3/public/orders/statuses HTTP/1.1
Accept: */*
200

Standard success envelope.

{
  "state": 0,
  "message": "text",
  "result": null,
  "meta": {
    "request_id": "text",
    "correlation_id": "text",
    "timestamp": "2026-01-01T00:00:00.000Z",
    "pagination": {
      "mode": "page",
      "current_page": 1,
      "per_page": 1,
      "total": 1,
      "last_page": 1,
      "from": 1,
      "to": 1,
      "cursor": "text",
      "next_cursor": "text",
      "has_more": true
    }
  }
}

Приватные статусы заявок

Order status dictionary

get
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Responses
200

Standard success envelope.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
resultany · nullableRequired
get/private/orders/statuses
GET /api/v3/private/orders/statuses HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Standard success envelope.

{
  "state": 0,
  "message": "text",
  "result": null,
  "meta": {
    "request_id": "text",
    "correlation_id": "text",
    "timestamp": "2026-01-01T00:00:00.000Z",
    "pagination": {
      "mode": "page",
      "current_page": 1,
      "per_page": 1,
      "total": 1,
      "last_page": 1,
      "from": 1,
      "to": 1,
      "cursor": "text",
      "next_cursor": "text",
      "has_more": true
    }
  }
}

Список заявок

List current client orders

get
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Query parameters
pageinteger · min: 1OptionalDefault: 1
per_pageinteger · min: 1 · max: 100OptionalDefault: 25
paginationstring · enumOptional

Use cursor for large datasets. The first cursor page uses pagination=cursor; next pages use cursor.

Default: pagePossible values:
cursorstring · nullableOptional

Opaque cursor returned in meta.pagination.next_cursor.

sortstringOptional

Comma-separated sort fields. Allowed: id, created_at, updated_at, completed_at, amount_in, amount_out, status.

Example: -created_at
filter[status]stringOptionalExample: paid,completed
filter[id]integerOptional
filter[public_id]stringOptional
filter[tracking_id]stringOptional
filter[email]stringOptional
filter[from_requisite]stringOptional
filter[to_requisite]stringOptional
filter[created_from]string · date-timeOptional
filter[created_to]string · date-timeOptional
filter[currency]stringOptionalExample: USDT
filter[amount_min]stringOptional
filter[amount_max]stringOptional
Responses
200

Standard success envelope.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
resultany · nullableRequired
get/private/orders
GET /api/v3/private/orders HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "state": 0,
  "message": "text",
  "result": null,
  "meta": {
    "request_id": "text",
    "correlation_id": "text",
    "timestamp": "2026-01-01T00:00:00.000Z",
    "pagination": {
      "mode": "page",
      "current_page": 1,
      "per_page": 1,
      "total": 1,
      "last_page": 1,
      "from": 1,
      "to": 1,
      "cursor": "text",
      "next_cursor": "text",
      "has_more": true
    }
  }
}

Получить заявку

Show one current client order

get
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Path parameters
orderstringRequired

Database id, public_id or tracking_id.

Responses
200

Standard success envelope.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
resultany · nullableRequired
get/private/orders/{order}
GET /api/v3/private/orders/{order} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "state": 0,
  "message": "text",
  "result": null,
  "meta": {
    "request_id": "text",
    "correlation_id": "text",
    "timestamp": "2026-01-01T00:00:00.000Z",
    "pagination": {
      "mode": "page",
      "current_page": 1,
      "per_page": 1,
      "total": 1,
      "last_page": 1,
      "from": 1,
      "to": 1,
      "cursor": "text",
      "next_cursor": "text",
      "has_more": true
    }
  }
}

Последнее обновление

Это было полезно?